XXXX XXXXXXXXXXXXXXX XXXXXXXXXXXXXXX XXXX XXXXXXXXXXXXXXXXXXXXXX
    XXX XXXXXXXXXXXXXXXXX XXXXXXXXX
        XXX XXXXXXXXXXXXXXXXX
            XX XXXXXXXXXXXXXXX XXXXXXX XXXXXXBBB BBBBBBBBBBBXXXXXXXXXX
        XXXXX
      
        BBB BBBBBBBB BB BBBBBBBBBB
            
            BB BBBBBBBBBBBBBBB BB BBBB
            
                XXX XXXXXXXXXXXXXXXXX
                    XX XXXXXXXXXXXXXXX XXXXXXX XXXXXXBBB BBBBBBBBBBBBBBBBBBBBB BBBBBBBBBBBBBXXXXXX
                    
                    BB BBBBBBBBBBBBBBBBBBBBBBBB
                        BBBBBBB BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBB
                    BBBBB
                        
                XXXXX

            BBBBB
                
        BBBBBB
        
    XXXXX
XXXXXX